<div class="h-100">
    <div class="row h-100 no-gutters smsp">
        <div class="col-md-3 manual-lateral " style="padding-left: 15px; padding-right: 15px;">
            <h1>Sistema de Gestión de productos
                <br>
                <span> CONSULTAS</span>
            </h1>
        </div>

        <div class="col-md-9 offset-md-3 rev-mobile-login">
            <div class="modal-dialog w-100 mx-auto mob-login-padding">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="h5 modal-title text-center">
                            <h4 class="login-title">
                                <div class="desk-title-login">
                                    <strong>Iniciar Sesión</strong>
                                </div>
                            </h4>
                        </div>
                        <div>
                            <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" novalidate>
                                <div class="row">
                                    <div class="col-md-12">
                                        <mat-form-field appearance="outline" class="example-full-width">
                                            <mat-label>Usuario</mat-label>
                                            <input matInput placeholder="Ingrese su usuario" autocomplete="username" formControlName="username" autofocus trim>
                                            <mat-icon matSuffix>person</mat-icon>
                                            <mat-error *ngIf="loginForm.get('username').hasError('required')">
                                                Usuario requerido
                                            </mat-error>
                                            <mat-error *ngIf="loginForm.get('username').hasError('minlength')">
                                                Mínimo 4 caracteres
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-12">
                                        <mat-form-field appearance="outline" class="example-full-width">
                                            <mat-label>Contraseña</mat-label>
                                            <input matInput placeholder="Ingrese su contraseña" [type]="hide ? 'password' : 'text'" autocomplete="current-password" formControlName="password"
                                                trim>
                                            <button type="button" mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                            </button>
                                            <mat-error *ngIf="loginForm.get('password').hasError('required')">
                                                Contraseña requerida
                                            </mat-error>
                                            <mat-error *ngIf="loginForm.get('password').hasError('minlength')">
                                                Mínimo 6 caracteres
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                                <div class="divider"></div>
                                <div class="d-flex align-items-center">
                                    <div class="ml-auto">
                                        <button mat-flat-button color="primary" [disabled]="loginForm.invalid">Iniciar Sesión</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>